"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Choices = void 0;
const model_1 = require("../class/model");
/**
 * Use the @Choices decorator to denote which options should be available
 * for the given field
 */
function Choices(choices) {
    const params = { choices };
    function Choices(target, name, propertyDescriptor) {
        if (propertyDescriptor)
            throw new Error("Cannot use the Choices decorator on a method");
        let model = model_1.Model.descriptor(target, true);
        model.field(name).assign(params);
    }
    return Choices;
}
exports.Choices = Choices;
//# sourceMappingURL=choices.js.map